Skip to main content
GET
Get Connection

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Path Parameters

server_id
string
required

Query Parameters

as_service
boolean
default:false

Response

Successful Response

Model for reading connection details.

id
string
required
mcp_server_id
string
required
status
string
required
created_at
string<date-time>
required
user_id
string | null
application_id
string | null
connected_at
string<date-time> | null
last_accessed_at
string<date-time> | null